# [−] [src] Crate mcquery

This library provides basically two functions for querying Minecraft servers. For increased stability, an extra function for handshakes is not provided.

## Usage

To perform a query, call `Query::get_basic` or `Query::get_full`. The returned response will either be a `BasicQueryResponse` or a `FullQueryResponse` respectively.

## Development resources

Thank you to the Tokio project and the Minecraft Developer Wiki for providing a great asynchronous runtime and useful documentation!

Without them, this crate wouldn't be possible.

## Structs

BasicQueryResponse | Response to a basic query
FullQueryResponse | Response to a full query
MaybeIncompleteDataError | Encountered when the buffer is full.

## Enums

Query | The main data structure in this crate

## Constants

SESSION_ID_MASK | Bitmask to validate a session ID